@font-face {
    font-family: "ComicCodeNerdFont";
    src: URL("assets/fonts/ComicCodeNerdFontMono-Regular.otf") format("opentype");
}

@keyframes warning { 
    0%, 49%, 100% { 
        border-color: #f98284;
        background-color: #ffecec;
    } 
    
    50%, 99% { 
        border-color: #fff7a0;
        background-color: #fffeef;
    } 
}

body {
    background: URL("assets/images/moving-stars.gif");
    background-color: #171728;
    color: #fff7e4;
    font-family: ComicCodeNerdFont, "Comic Sans MS", "Comic Sans", cursive;
    padding: 20px;
    display: flex; 
    justify-content: center;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header h1 {
    margin: 0px;
    color: #fff7a0;
}

marquee {
    background-color: #fff7e4;
    color: #28282e;
    border: 3px solid;
    margin-top: 0px;
    margin-bottom: 15px;

    animation: warning 1s linear infinite;
}

marquee a {
    color: #355eac;
}

marquee a:hover {
    color: #355eac;
    text-decoration: underline;
}

a {
    color: #accce4;
    text-decoration: none;
}

a:hover {
    color: #fff7a0;
    text-decoration: underline;
}

a.active  {
    color: #fff7a0;
}

a:active, li a.selected {
    color: #fff7e4;
}

footer {
    text-align: center;
}

.photo-gallery {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    flex-wrap: wrap;
}

.photo {
    border: 3px solid #b0a9e4;
    margin: 10px;
}

.foating-photo {
    float: right;
}

.box {
    background-color: #b0a9e456;
    border: 3px solid #b0a9e4;
    padding: 15px;
    margin-bottom: 25px;
}

.box h3 {
    margin-top: 0px;
}

section h3, aside h3 {
    border-bottom: 2px dashed #fff7e4;
    display: inline-block;
}

.linktree {
    padding-left: 20px;
}

.linktree * {
    list-style-type: "> ";
}

.linktree li {
    color: #fff7e4;
}


#container {
    max-width: 900px;
    margin: 0px auto;
}

#grid {
    display: flex;
    flex-wrap: wrap;
    column-gap: 25px;
}

#sidebar {
    flex: 1;
    min-width: 200px;
}

#content {
    flex: 3;
    min-width: 300px;
}

@media (max-width: 600px) {
    #layout-grid {
        flex-direction: column;
    }

    .foating-photo {
        float: none;
    }

    .photo {
        display: block;
        margin-left: auto;
        margin-right: auto;
    }
}
